apiVersion: metrics.aws/v1alpha1
kind: ExternalMetric
metadata:
  name: elb-requests
  namespace: pfe-project
spec:
  name: elb-requests
  resource:
    resource: "deployment"
  queries:
    - id: elb_requests
      metricStat:
        metric:
          namespace: "AWS/ApplicationELB"
          metricName: "RequestCount"
          dimensions:
            - name: "LoadBalancer"
              value: "app/k8s-k8smonitoring-d6cc904172/cb794f87737e5e09"
        period: 60
        stat: Sum
        unit: Count
      returnData: true
    
    